package abacus.springboot.example.api.view;

import java.util.Date;
import java.util.List;

import io.swagger.v3.oas.annotations.media.Schema;

@Schema(description = "稽查收货主单" , name = "ApiJcBill")
public class ApiJcBill {
	
	@Schema(description="稽查单号", required = false, example="JC202411180001")
	private String id;
	
	@Schema(description="状态", required = false, pattern = "溯源驳回：-2，待提交：0，系统溯源验证通过：1，待溯源：2，待入库：3，入库待审核：4，已入库：5 ，部分回购：6，回购完成：7", example = "1")
	private int status;
	
	@Schema(description = "收货产品", required = false, example = "钓鱼台")
	private String goods;
	
	@Schema(description = "收货仓库编码", required = false, example = "9090025")
	private String warehouse;
	
	@Schema(description = "收货仓库名称", required = false, example = "精品广州库")
	private String warehousename; 
	
	@Schema(description = "收货日期", required = false, example = "2024-11-11")
	private String receivedt;
	
	@Schema(description = "收货数量", required = false, example = "10")
	private double quantity;
	
	@Schema(description = "收货总金额", required = false, example = "9609")
	private double subtotal;
	
	@Schema(description = "申请人编码", required = false, example = "zhangsan")
	private String applicant;
	
	@Schema(description = "申请人名称", required = false, example = "张三")
	private String applicantname;
	
	@Schema(description = "申请人时间", required = false, example = "2024-11-11 00:00:00")
	private Date applicantdt;
	
	@Schema(description="稽查收货明细", required = false, example="")
	private List<ApiJcBillItem> items;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public int getStatus() {
		return status;
	}

	public void setStatus(int status) {
		this.status = status;
	}

	public String getGoods() {
		return goods;
	}

	public void setGoods(String goods) {
		this.goods = goods;
	}

	public String getWarehouse() {
		return warehouse;
	}

	public void setWarehouse(String warehouse) {
		this.warehouse = warehouse;
	}

	public String getWarehousename() {
		return warehousename;
	}

	public void setWarehousename(String warehousename) {
		this.warehousename = warehousename;
	}

	public String getReceivedt() {
		return receivedt;
	}

	public void setReceivedt(String receivedt) {
		this.receivedt = receivedt;
	}

	public double getQuantity() {
		return quantity;
	}

	public void setQuantity(double quantity) {
		this.quantity = quantity;
	}

	public double getSubtotal() {
		return subtotal;
	}

	public void setSubtotal(double subtotal) {
		this.subtotal = subtotal;
	}

	public String getApplicant() {
		return applicant;
	}

	public void setApplicant(String applicant) {
		this.applicant = applicant;
	}

	public String getApplicantname() {
		return applicantname;
	}

	public void setApplicantname(String applicantname) {
		this.applicantname = applicantname;
	}

	public Date getApplicantdt() {
		return applicantdt;
	}

	public void setApplicantdt(Date applicantdt) {
		this.applicantdt = applicantdt;
	}

	public List<ApiJcBillItem> getItems() {
		return items;
	}

	public void setItems(List<ApiJcBillItem> items) {
		this.items = items;
	}
}
